KDE 4.9 PyKDE API Reference

- KDE's Python API

# DeviceInterface Class Reference

`from PyKDE4.solid import *`

Inherits: QObject
Subclasses: Solid.AcAdapter, Solid.AudioInterface, Solid.Battery, Solid.Block, Solid.Button, Solid.Camera, Solid.DvbInterface, Solid.GenericInterface, Solid.InternetGateway, Solid.NetworkInterface, Solid.NetworkShare, Solid.PortableMediaPlayer, Solid.Processor, Solid.SerialInterface, Solid.SmartCardReader, Solid.StorageAccess, Solid.StorageDrive, Solid.StorageVolume, Solid.Video
Namespace: Solid

## Detailed Description

Base class of all the device interfaces.

A device interface describes what a device can do. A device generally has a set of device interfaces.

## Enumerations

Type | { Unknown, GenericInterface, Processor, Block, StorageAccess, StorageDrive, OpticalDrive, StorageVolume, OpticalDisc, Camera, PortableMediaPlayer, NetworkInterface, AcAdapter, Battery, Button, AudioInterface, DvbInterface, Video, SerialInterface, SmartCardReader, InternetGateway, NetworkShare, Last }

## Methods

| __init__ (self)
bool | isValid (self)

## Static Methods

Solid.DeviceInterface.Type | stringToType (QString type)
QString | typeDescription (Solid.DeviceInterface.Type type)
QString | typeToString (Solid.DeviceInterface.Type type)

## Method Documentation

__init__ | ( |  | self ) |

bool isValid | ( |  | self ) |

Indicates if this device interface is valid. A device interface is considered valid if the device it is referring is available in the system.

Returns:
  true if this device interface's device is available, false otherwise

## Static Method Documentation

Solid.DeviceInterface.Type stringToType | ( | QString | type
| ) |  |  |

Returns:
  the device interface type for the given class name

QString typeDescription | ( | Solid.DeviceInterface.Type | type
| ) |  |  |

Returns:
  a description suitable to display in the UI of the device interface type

Since:
  4.4

QString typeToString | ( | Solid.DeviceInterface.Type | type
| ) |  |  |

Returns:
  the class name of the device interface type

## Enumeration Documentation

Type

This enum type defines the type of device interface that a Device can have.

- Unknown : An undetermined device interface - Processor : A processor - Block : A block device - StorageAccess : A mechanism to access data on a storage device - StorageDrive : A storage drive - OpticalDrive : An optical drive (CD-ROM, DVD, ...) - StorageVolume : A volume - OpticalDisc : An optical disc - Camera : A digital camera - PortableMediaPlayer: A portable media player - NetworkInterface: A network interface - SerialInterface: A serial interface - SmartCardReader: A smart card reader interface - NetworkShare: A network share interface

Enumerator:

  PropertyCheck |
  Conjunction |
  Disjunction |
  InterfaceCheck |